Subject: Re: mushrooms, PortoBello??
From: [email-masked]
Date: 4 Jun 1994 19:54:41 -0700
Newsgroups: alt.sustainable.agriculture

[email-masked] (martin johnson) writes:

>I recently had a 'portobello' mushroom sandwich at DisneyWorld, FL.
>Does anyone know ANYTHING about this variety? The cap was about 3
>inches in diameter. I am interested in buying/eating/growing them.
>Please e-mail, as my internet access has been temporarily curtailed.
>Thanks in advance,
>Marty

>--
>______________________________________________
>|  martin johnson      [email-masked]       |
>|  "mind your business", on first US coin    |
>|____________________________________________|

American Harvest is a Santa Barbara CA based grower and seller of
shitake, portobello, oyster and porcini mushrooms.  They sell
at the major regional farmers markets, and to restaurants.
(their brand is Belle Foret)  I buy from them at a farmers market.

Their phone is 805-563-2703
Address is: 2022-109 Cliff Drive
            Santa Barbara, CA  93109

They're not on the net, though...too busy farming.
-- 

[email-masked]

		``It is astonishing what power words have over man.''